{
  "nombre": "Perfiles de Usuario",
  "botones": [
    {
      "texto": "Guardar Cambios",
      "name": "Guardar",
      "icono": "save",
      "action": {
        "type": "apicall",
        "mode": "form-urlencoded",
        "url": "Engine",
        "mensajeExitoso": "Perfiles del usuario actualizados",
        "mensajeError": "No se pudo realizar el guardado",
        "formData": {
          "paquete": "std.seguridad",
          "clase": "Seguridad",
          "metodo": "setUsrPrf",
          "data": "$(resultData)",
          "parametros": "{'s': $(UsrId), 'p': $(empId)}"
        }
      }
    }
  ],
  "filtros": {
    "submitFunction": "Engine?_dc=1675716058624&paquete=std.seguridad&clase=Seguridad&metodo=getPerfiles&parametros={'s': $(UsrId), 'p': $(empId)}",
    "hideButton": false,
    "filterByEmpId": true,
    "fields": [
      {
        "label": "Usuario",
        "name": "UsrId",
        "type": "supercombobox",
        "tabla": "usr",
        "id": "UsrId",
        "text": "CONCAT(UsrApel,\" \",UsrNom)",
        "disabled": false
      },
      {
        "name": "empId"
      }
    ]
  },
  "body": [
    {
      "componente": "TransferList",
      "resultVariableNameLeft": "noestan",
      "resultVariableNameRight": "estan",
      "titleLeft": "No estan en Usuario",
      "titleRight": "Estan en Usuario",
      "propertyName": "prfNom",
      "propertyId": "prfId"
    }
  ]
}
